path: /build/build/regex-dev-python-2024.4.16.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/regex -pv -t && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/regex
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/regex && luet-portage --dir /pkgdir/regex
    dev-python/regex && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a0a3f79ace6467d3114c69e2e271b7f7a55ceb5dbe2bdb90ebb7125d406e5ebc
  package:
    name: regex
    version: 2024.4.16
    category: dev-python
    use_flags:
    - -python_targets_pypy3
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Alternative regular expression module, to replace re.
    uri:
    - https://github.com/mrabarnett/mrab-regex https://pypi.org/project/regex/
    license: Apache-2.0
    buildtimestamp: 2024-04-28 18:17:01.330800199 +0000 UTC m=+169.499889823
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python2_7 python_targets_python3_10 python_targets_python3_7
        python_targets_python3_9 python_targets_python3_8
      RDEPEND: python_targets_python2_7? ( dev-python/regex-compat ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) python_targets_python3_7? ( dev-lang/python:3.7 )
        python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
        ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/regex
      kit: python-modules-kit
      original.package.name: dev-python/regex
      original.package.slot: "0"
      original.package.version: 2024.4.16
    treedir: /build/packages
  package_dir: /pkgdir/regex
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: afbe811a5c96c4e23813ab89f8194f129e7fcbc6ec110437785b1b50b26f3404
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/regex/__init__.py
- usr/lib/python3.9/site-packages/regex/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/_regex_core.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/_regex_core.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/_regex_core.cpython-39.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/regex.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/regex.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/regex.cpython-39.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/test_regex.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/test_regex.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/regex/__pycache__/test_regex.cpython-39.pyc
- usr/lib/python3.9/site-packages/regex/_regex.cpython-39-x86_64-linux-gnu.so
- usr/lib/python3.9/site-packages/regex/_regex_core.py
- usr/lib/python3.9/site-packages/regex/regex.py
- usr/lib/python3.9/site-packages/regex/test_regex.py
- usr/lib/python3.9/site-packages/regex-2024.4.16.dist-info/METADATA
- usr/lib/python3.9/site-packages/regex-2024.4.16.dist-info/RECORD
- usr/lib/python3.9/site-packages/regex-2024.4.16.dist-info/WHEEL
- usr/lib/python3.9/site-packages/regex-2024.4.16.dist-info/top_level.txt
- usr/share/doc/regex-2024.4.16/README.rst.bz2
- var/db/pkg/dev-python/regex-2024.4.16/BDEPEND
- var/db/pkg/dev-python/regex-2024.4.16/BUILD_TIME
- var/db/pkg/dev-python/regex-2024.4.16/CATEGORY
- var/db/pkg/dev-python/regex-2024.4.16/CBUILD
- var/db/pkg/dev-python/regex-2024.4.16/CFLAGS
- var/db/pkg/dev-python/regex-2024.4.16/CHOST
- var/db/pkg/dev-python/regex-2024.4.16/CONTENTS
- var/db/pkg/dev-python/regex-2024.4.16/COUNTER
- var/db/pkg/dev-python/regex-2024.4.16/CXXFLAGS
- var/db/pkg/dev-python/regex-2024.4.16/DEFINED_PHASES
- var/db/pkg/dev-python/regex-2024.4.16/DESCRIPTION
- var/db/pkg/dev-python/regex-2024.4.16/EAPI
- var/db/pkg/dev-python/regex-2024.4.16/FEATURES
- var/db/pkg/dev-python/regex-2024.4.16/HOMEPAGE
- var/db/pkg/dev-python/regex-2024.4.16/INHERITED
- var/db/pkg/dev-python/regex-2024.4.16/IUSE
- var/db/pkg/dev-python/regex-2024.4.16/IUSE_EFFECTIVE
- var/db/pkg/dev-python/regex-2024.4.16/KEYWORDS
- var/db/pkg/dev-python/regex-2024.4.16/LDFLAGS
- var/db/pkg/dev-python/regex-2024.4.16/LICENSE
- var/db/pkg/dev-python/regex-2024.4.16/NEEDED
- var/db/pkg/dev-python/regex-2024.4.16/PF
- var/db/pkg/dev-python/regex-2024.4.16/PROVIDES
- var/db/pkg/dev-python/regex-2024.4.16/RDEPEND
- var/db/pkg/dev-python/regex-2024.4.16/REQUIRES
- var/db/pkg/dev-python/regex-2024.4.16/SIZE
- var/db/pkg/dev-python/regex-2024.4.16/SLOT
- var/db/pkg/dev-python/regex-2024.4.16/USE
- var/db/pkg/dev-python/regex-2024.4.16/environment.bz2
- var/db/pkg/dev-python/regex-2024.4.16/regex-2024.4.16.ebuild
- var/db/pkg/dev-python/regex-2024.4.16/repository
package_cacheimage: ""
runtime:
  name: regex
  version: 2024.4.16
  category: dev-python
  use_flags:
  - -python_targets_pypy3
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Alternative regular expression module, to replace re.
  uri:
  - https://github.com/mrabarnett/mrab-regex https://pypi.org/project/regex/
  license: Apache-2.0
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python2_7 python_targets_python3_10 python_targets_python3_7
      python_targets_python3_9 python_targets_python3_8
    RDEPEND: python_targets_python2_7? ( dev-python/regex-compat ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/regex
    kit: python-modules-kit
    original.package.name: dev-python/regex
    original.package.slot: "0"
    original.package.version: 2024.4.16
